pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/39074: games/xye doesn't compile in DragonFly

>Number:         39074
>Category:       pkg
>Synopsis:       games/xye doesn't compile in DragonFly
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Tue Jul 01 11:20:00 +0000 2008
>Originator:     Hasso Tepper
>Release:        DragonFly
games/xye doesn't compile in DragonFly:

src/options.cpp: In static member function 'static char* options::fixpath(const 
char*, bool)':
src/options.cpp:117: error: 'access' was not declared in this scope
*** Error code 1


unistd.h include is needed for access(2). No idea why it works in NetBSD. The 
patch to fix the problem is available at

Home | Main Index | Thread Index | Old Index